Page MenuHomePhabricator

Create separate section for constraint statements on properties
Closed, ResolvedPublic

Description

We’d like to move constraint statements (all statements of P​2302) to a separate section on properties, after the Statements section (like the Identifiers section on items).

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd “Constraints” section on test.wikidata.org
operations/mediawiki-config : masterAdd “Constraints” section for constraint statements
mediawiki/extensions/WikimediaMessages : masterAdd “Constraints” section heading for wikidata.org

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2017, 12:13 PM

As far as I can tell, there are two parts to this:

  1. Add this to the $wgWBRepoSettings['statementSections'] config in operations/mediawiki-config::wmf-config/Wikibase.php:
'property' => [
    'statements' => null,
    'constraints' => [
        'type' => 'propertySet',
        'propertyIds' => [ 'P2302' ]
    ]
]
  1. Add the i18n string wikibase-statementsection-constraints. I haven’t been able to find out where the statement section strings other than -statements are defined – is -identifiers really only on TranslateWiki and nowhere else?
Lydia_Pintscher triaged this task as Low priority.Jun 11 2017, 4:32 PM

@thiemowmde I think you added the “identifiers” section (Iac913191cd and I046b5b7a22), do you remember how the message was added?

Change 358342 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikimediaMessages@master] Add “Constraints” section heading for wikidata.org

https://gerrit.wikimedia.org/r/358342

Change 358343 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Add “Constraints” section for constraint statements

https://gerrit.wikimedia.org/r/358343

While we are at it we should think about if other sections make sense. Lucas: You probably have the best overview. What do you say?

There are some statements that are more “internal”, like “Wikidata property example”, “Wikidata usage instructions”, “property proposal discussion”, “property usage tracking category”, perhaps even “see also”. But I think it would be better to bring this up with the community (I’m sure there’s some property I missed).

Yea, let's please not mishmash stuff here. This ticket is about the "Constraints" section.

However, I can think of a separate "Examples" section.

Change 358342 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add “Constraints” section heading for wikidata.org

https://gerrit.wikimedia.org/r/358342

Change 358343 merged by jenkins-bot:
[operations/mediawiki-config@master] Add “Constraints” section for constraint statements

https://gerrit.wikimedia.org/r/358343

Mentioned in SAL (#wikimedia-operations) [2017-06-15T13:23:02Z] <aude@tin> Synchronized wmf-config/Wikibase.php: Add constraints statements section on Wikidata T167126 (duration: 00m 43s)

Change 359135 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Add “Constraints” section on test.wikidata.org

https://gerrit.wikimedia.org/r/359135

Change 359135 merged by jenkins-bot:
[operations/mediawiki-config@master] Add “Constraints” section on test.wikidata.org

https://gerrit.wikimedia.org/r/359135

Lucas_Werkmeister_WMDE closed this task as Resolved.Jun 19 2017, 1:45 PM

Now also deployed on test.wikidata.org. Closing.